For the complete documentation index, see llms.txt. This page is also available as Markdown.

Downtime Reasons

⚠️ Experimental — this resource is under active development and may change without notice.

Experimental

Get Downtime Reasons

get

Returns a list of downtime reasons in your organization.

Authorizations
AuthorizationstringRequired
Query parameters
cursorstringOptional
uuidstring · uuid[] · max: 50 · nullableOptional

If not set, all downtime reasons will be considered.

catalogstring · uuid[] · max: 50 · nullableOptional

Only return reasons belonging to any of the given catalogs.

machinestring · uuid[] · max: 50 · nullableOptional

Only return reasons whose catalog is assigned to any of the given machines. If not set, reasons for all machines will be considered.

statestring · enum · nullableOptional

If not set, both active and archived reasons will be returned.

Possible values:
Responses
200

Successful Response

application/json
get/v2/downtime-reasons
Experimental

Create Downtime Reason

post

Create a downtime reason within a catalog.

Authorizations
AuthorizationstringRequired
Body
catalogstring · uuidRequired

UUID of the active catalog to create the reason in.

namestring · min: 1Required
descriptionstring · nullableOptional

Free-text description of the downtime reason.

categorystring · enumRequired

One of: PLANNED, UNPLANNED, NOT_SCHEDULED, INVALID

Possible values:
groupstring · nullableOptional

Single-level, free-text group the reason belongs to.

Responses
201

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the downtime reason.

namestringRequired
descriptionstring · nullableOptional

Free-text description of the downtime reason.

categorystring · enumRequired

Category of the downtime reason.

Possible values:
groupstring · nullableRequired
statestring · enumRequired

Lifecycle state of the downtime reason.

Possible values:
catalogstring · uuid · nullableOptional

UUID of the catalog this reason belongs to. Resolve it via GET /api/v2/downtime-catalogs/{uuid}. null for legacy reasons not yet migrated to a catalog (only reachable as an embedded reason on GET /api/v2/downtimes).

post/v2/downtime-reasons
Experimental

Get Downtime Reason

get

Returns details for a specific downtime reason.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Responses
200

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the downtime reason.

namestringRequired
descriptionstring · nullableOptional

Free-text description of the downtime reason.

categorystring · enumRequired

Category of the downtime reason.

Possible values:
groupstring · nullableRequired
statestring · enumRequired

Lifecycle state of the downtime reason.

Possible values:
catalogstring · uuid · nullableOptional

UUID of the catalog this reason belongs to. Resolve it via GET /api/v2/downtime-catalogs/{uuid}. null for legacy reasons not yet migrated to a catalog (only reachable as an embedded reason on GET /api/v2/downtimes).

get/v2/downtime-reasons/{uuid}
Experimental

Update Downtime Reason

patch

Update a downtime reason's name, description, or group.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Body
namestring · min: 1Optional
descriptionstring · nullableOptional
groupstring · nullableOptional
Responses
200

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the downtime reason.

namestringRequired
descriptionstring · nullableOptional

Free-text description of the downtime reason.

categorystring · enumRequired

Category of the downtime reason.

Possible values:
groupstring · nullableRequired
statestring · enumRequired

Lifecycle state of the downtime reason.

Possible values:
catalogstring · uuid · nullableOptional

UUID of the catalog this reason belongs to. Resolve it via GET /api/v2/downtime-catalogs/{uuid}. null for legacy reasons not yet migrated to a catalog (only reachable as an embedded reason on GET /api/v2/downtimes).

patch/v2/downtime-reasons/{uuid}

Last updated